<div class="card-headder text-black ">
    <h1>#Ajout d'un guide</h1> 
 </div>
<div class="container">
<div class="card">
    <div class="alert alert-error" *ngIf="errorMessage" >{{errorMessage}}</div>
    <div class="row">
        <div class="col-md m-auto">
            <div class="card card-body">
       
        <form  (ngSubmit)="ajoutGuide()" [formGroup]="guideForm" enctype="multipart/form-data">
            <div class="row">
                <div class="form-group col-lg-6">
                    <label for="nom" class="font-bold block mb-2"> Nom </label>
                    <input  id="nom" class="form-control" formControlName="nom" 
                    formControlName="nom" 
                    minlength="4"
                    required type="text"
                    [ngClass]="{'is-invalid':guideForm.get('nom')!.touched && !guideForm.get('nom')!.valid}"/>
                    <div class="invalid-feedback">
                        <span *ngIf ="guideForm.get('nom')!.errors?.['required']" >Entrez le nom</span>
                        <span *ngIf ="guideForm.get('nom')!.errors?.['minlength']" >Le nom est trop court</span>
                    </div>
                </div>  
                <div class="form-group col-lg-6">
                    <label for="age" class="font-bold block mb-2"> Age </label>
                    <input  id="age"  class="form-control" formControlName="Age" 
                    formControlName="age" 
                    required type="number"

                    [ngClass]="{'is-invalid':guideForm.get('age')!.touched && !guideForm.get('age')!.valid}"/>
                    <div class="invalid-feedback">
                        <span *ngIf ="guideForm.get('age')!.errors?.['required']" >Entrez un le l'age</span>
                        <span *ngIf ="guideForm.get('age')!.errors?.['type']" >Entrez un entier</span>
                    </div>
                    
                </div> 
                <div class="form-group col-lg-6">
                    <label for="tel" class="font-bold block mb-2"> Téléphone </label>
                    <input  id="tel"  class="form-control" formControlName="tel" 
                    formControlName="tel" 
                    required type="number"
                    minlength="4"
                    [ngClass]="{'is-invalid':guideForm.get('tel')!.touched && !guideForm.get('tel')!.valid}"/>
                    <div class="invalid-feedback">
                        <span *ngIf ="guideForm.get('tel')!.errors?.['required']" >Entrez un le numéro de téléphone</span>
                        <span *ngIf ="guideForm.get('tel')!.errors?.['type']" >Entrez un entier</span>
                    </div>
                    
                </div>
                
            </div>
            <div class="row">
                
                <div class="form-group col-lg-6">
                    <label for="mail" class="font-bold block mb-2"> Mail </label>
                    <input  id="mail"  class="form-control" formControlName="mail" 
                    formControlName="mail" 
                    required type="mail"
                    
                    [ngClass]="{'is-invalid':guideForm.get('mail')!.touched && !guideForm.get('mail')!.valid}"/>
                    <div class="invalid-feedback">
                        <span *ngIf ="guideForm.get('mail')!.errors?.['required']" >Entrez un l'e-mail </span>
                        <span *ngIf ="guideForm.get('mail')!.errors?.['type']" >Entrez un mail</span>
                    </div>
                    
                </div>
                <div class="form-group col-lg-6">
                    <label for="site_T" class="font-bold block mb-2"> Site </label>
                    <select class="form-control" formControlName="site_T"  >
                        <option *ngFor="let i of site" value="{{i.id_site}}"
                        [ngClass]="{'is-invalid':guideForm.get('site_T')!.touched && !guideForm.get('site_T')!.valid}"
                        >{{i.nom}}</option>
                        <div class="invalid-feedback">
                            <span *ngIf ="guideForm.get('site_T')!.errors?.['required']" >Choisissez votre site</span>
                        </div>
                    </select>
                    
                    
                    
                    
                </div>
                
                
            </div>    
        <div class="form-group row mb-2">
            <div class="offset-md-2 col-md-4">
                <button class="btn btn-info mr-3" type="submit">Ajouter</button>
            </div>
            <div class="offset-md-2 col-md-4">
                <button class="btn btn-danger mr-3" type="button">Annuler</button>
            </div>
        </div>
        </form>
    </div>
</div>
</div>
</div>
</div>